import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Roles } from './entities/roles.entity';
import { ConfigurableController } from './configurable.controller';
import { RoleService } from './roles.service';
import { CommissionService } from './commission.service';
import { CommissionSetting } from './entities/commission_setting.entity';

@Module({
  imports: [TypeOrmModule.forFeature([Roles, CommissionSetting])],
  controllers: [ConfigurableController],
  providers: [RoleService, CommissionService],
  exports: [RoleService, CommissionService],
})
export class ConfigurableModule {}
