import { createReadStream } from 'fs';
import * as csvParser from 'csv-parser';
import * as path from 'path';

export async function parsingFile(dataFile) {
  const parsingData: any = await new Promise((resolve, reject) => {
    const results = [];

    const file = createReadStream(
      path.join(process.cwd(), `./files/${dataFile}`),
    );

    file
      .pipe(
        csvParser({
          headers: false,
        }),
      )
      .on('data', (data) => results.push(data))
      .on('end', () => {
        resolve(results);
      });
  });
  return parsingData;
}
