import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { ProductSubCategories } from './product-sub-category.entity';
import { BaseModel } from '../../config/basemodel.entity';

@Entity()
export class ProductCategories extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @Column({
    nullable: true,
  })
  code: string;

  @OneToMany(
    () => ProductSubCategories,
    (subCategories) => subCategories.category,
  )
  sub_categories: ProductSubCategories;
}
