import { Column, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { ProductCategories } from './product-category.entity';
import { BaseModel } from '../../config/basemodel.entity';
import { Product } from './product.entity';

@Entity()
export class ProductSubCategories extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @Column({
    nullable: true,
  })
  code: string;

  @ManyToOne(() => ProductCategories, (categories) => categories.sub_categories)
  category: ProductCategories;

  @OneToMany(() => Product, (product) => product.sub_categories)
  product: Product;
}
