import { forwardRef, Module } from '@nestjs/common';
import { ProductService } from './product.service';
import { ProductController } from './product.controller';
import { ProductCategoriesService } from './product-categories.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Product } from './entities/product.entity';
import { ProductCategories } from './entities/product-category.entity';
import { ProductHistoryPrice } from './entities/product-history-price.entity';
import { ProductSubCategories } from './entities/product-sub-category.entity';
import { ProductSubCategoriesService } from './product-sub-categories.service';
import { UsersModule } from '../users/users.module';
import { ProductHistoryPriceService } from './history-price/history-price.service';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      Product,
      ProductCategories,
      ProductHistoryPrice,
      ProductSubCategories,
    ]),
    forwardRef(() => UsersModule),
  ],
  controllers: [ProductController],
  providers: [
    ProductService,
    ProductCategoriesService,
    ProductSubCategoriesService,
    ProductHistoryPriceService,
  ],
  exports: [ProductService, ProductHistoryPriceService],
})
export class ProductModule {}
