import { IsNotEmpty, IsUUID } from 'class-validator';
import { balanceType, coaType } from 'src/helper/enum-list';
import { User } from 'src/users/entities/user.entity';
import { EntityManager } from 'typeorm';
import { Supplier } from '../../users/entities/supplier.entity';

export class InputCoaDto {
  @IsUUID()
  user: User;

  @IsNotEmpty()
  type: coaType;

  @IsNotEmpty()
  balanceType: balanceType;

  @IsUUID()
  relatedUserId: string;

  @IsUUID()
  supplier: Supplier;

  @IsNotEmpty()
  coaEntityManager: EntityManager;
}
