import { forwardRef, Module } from '@nestjs/common';
import { TransactionService } from './transaction.service';
import { TransactionController } from './transaction.controller';
import { PpobCallbackController } from './ppob_callback.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { COA } from './entities/coa.entity';
import { TransactionJournal } from './entities/transaction-journal.entity';
import { Transactions } from './entities/transactions.entity';
import { CoaService } from './coa.service';
import { ProductModule } from '../product/product.module';
import { UsersModule } from 'src/users/users.module';
import { ConfigurableModule } from '../configurable/configurable.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([COA, TransactionJournal, Transactions]),
    ProductModule,
    ConfigurableModule,
    forwardRef(() => UsersModule),
  ],
  controllers: [TransactionController, PpobCallbackController],
  providers: [TransactionService, CoaService],
  exports: [CoaService],
})
export class TransactionModule {}
