import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersService } from './users.service';
import { UsersController } from './users.controller';
import { User } from './entities/user.entity';
import { TransactionModule } from 'src/transaction/transaction.module';
import { ConfigurableModule } from 'src/configurable/configurable.module';
import { SupplierService } from './supplier/supplier.service';
import { Supplier } from './entities/supplier.entity';
import { Partner } from './entities/partner.entity';
import { PartnerService } from './partner/partner.service';
import { UserDetail } from './entities/user_detail.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([User, Supplier, Partner, UserDetail]),
    forwardRef(() => TransactionModule),
    ConfigurableModule,
  ],
  controllers: [UsersController],
  providers: [UsersService, SupplierService, PartnerService],
  exports: [UsersService, SupplierService, PartnerService],
})
export class UsersModule {}
